<?php

	session_start();

	require_once("./model/gestion_model.php");
	require_once("./model/gestion_model2.php");

	date_default_timezone_set("America/Lima");

	$ges = new gestion_model();
	$ges2 = new gestion_model2();

	$usuarios = $ges->get_usuarios();
	$trabajadores = $ges2->get_trabajadores();
	$perfiles = $ges->get_perfiles();
	$usuarios_t = $ges->get_usuarios_t();

	// SESIÓN INICIADA

	if(isset($_POST['SI'])){

		$id = $ges->get_usuario($_POST['documento_identidad_d']);

		$validacion = $ges->get_validacion_stock_tecnico($id['id_usuario']);

		if($validacion['total'] > 0){
			echo'<script type="text/javascript">alert("EL TECNICO AUN TIENE STOCK");window.location.href="usuarios.php";</script>';
		}else{
			$resultado = $ges->update_tecnico0($id['id_usuario']);
			echo'<script type="text/javascript">alert("USUARIO INHABILITADO");window.location.href="usuarios.php";</script>';
		}
		
		
	}

	if(isset($_POST['SI2'])){

		$id = $ges->get_usuario($_POST['documento_identidad_d2']);
		$resultado = $ges->update_tecnico1($id['id_usuario']);

		echo'<script type="text/javascript">alert("USUARIO HABILITADO");window.location.href="usuarios.php";</script>';
		
	}

	if(isset($_SESSION['id_usuario_almacen'])){

		require_once("./view/usuarios.phtml"); 
		
	}


?>